Debian Bug report logs - #667302
numptyphysics: ftbfs with GCC-4.7

version graph

Package: numptyphysics; Maintainer for numptyphysics is Leo Costela <costela@debian.org>; Source for numptyphysics is src:numptyphysics.

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:31:30 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version numptyphysics/0.2+svn156-1

Fixed in version numptyphysics/0.2+svn156-1.1

Done: gregor herrmann <gregoa@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Leo Costela <costela@debian.org>:
Bug#667302; Package numptyphysics. (Tue, 03 Apr 2012 23:31:33 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Leo Costela <costela@debian.org>. (Tue, 03 Apr 2012 23:31:46 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: numptyphysics: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:11:15 +0000
Package: numptyphysics
Version: 0.2+svn156-1
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

happyhttp.cpp:283:3: error: '::close' has not been declared

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/numptyphysics_0.2+svn156-1_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
configure: WARNING: unrecognized options: --disable-maintainer-mode
make[1]: Leaving directory `/«BUILDDIR»/numptyphysics-0.2+svn156'
   dh_auto_build -a
make[1]: Entering directory `/«BUILDDIR»/numptyphysics-0.2+svn156'
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Path.o `test -f 'Path.cpp' || echo './'`Path.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Canvas.o `test -f 'Canvas.cpp' || echo './'`Canvas.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Font.o `test -f 'Font.cpp' || echo './'`Font.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Levels.o `test -f 'Levels.cpp' || echo './'`Levels.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-ZipFile.o `test -f 'ZipFile.cpp' || echo './'`ZipFile.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Scene.o `test -f 'Scene.cpp' || echo './'`Scene.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Game.o `test -f 'Game.cpp' || echo './'`Game.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Script.o `test -f 'Script.cpp' || echo './'`Script.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-App.o `test -f 'App.cpp' || echo './'`App.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Config.o `test -f 'Config.cpp' || echo './'`Config.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Http.o `test -f 'Http.cpp' || echo './'`Http.cpp
Http.cpp: In member function 'bool Http::get(const char*, const char*)':
Http.cpp:117:15: warning: attempt to free a non-heap object 'host' [-Wfree-nonheap-object]
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Os.o `test -f 'Os.cpp' || echo './'`Os.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Ui.o `test -f 'Ui.cpp' || echo './'`Ui.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Dialogs.o `test -f 'Dialogs.cpp' || echo './'`Dialogs.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Event.o `test -f 'Event.cpp' || echo './'`Event.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-Worker.o `test -f 'Worker.cpp' || echo './'`Worker.cpp
g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DPACKAGE=\"numptyphysics\" -DVERSION=\"0.3\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_LIBSDL=/\*\*/ -DHAVE_LIBSDL_IMAGE=1 -DHAVE_LIBSDL_TTF=1 -DHAVE_FONTCONFIG=1 -DHAVE_LIBSTDC__=1 -DHAVE_LIBX11=1 -DHAVE_LIBZ=1 -I.  -IXX       -g -O2 -c -o numptyphysics-happyhttp.o `test -f 'happyhttp.cpp' || echo './'`happyhttp.cpp
happyhttp.cpp: In member function 'void happyhttp::Connection::close()':
happyhttp.cpp:283:3: error: '::close' has not been declared
make[1]: *** [numptyphysics-happyhttp.o] Error 1
make[1]: Leaving directory `/«BUILDDIR»/numptyphysics-0.2+svn156'
dh_auto_build: make -j1 returned exit code 2
make: *** [build-arch] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2




Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:52:22 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Leo Costela <costela@debian.org>:
Bug#667302; Package numptyphysics. (Thu, 10 May 2012 22:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Leo Costela <costela@debian.org>. (Thu, 10 May 2012 22:24:06 GMT) Full text and rfc822 format available.

Message #12 received at 667302@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 667302@bugs.debian.org
Subject: numptyphysics: diff for NMU version 0.2+svn156-1.1
Date: Fri, 11 May 2012 00:20:29 +0200
[Message part 1 (text/plain, inline)]
tags 667302 + patch
tags 667302 + pending
thanks

Dear maintainer,

I've prepared an NMU for numptyphysics (versioned as 0.2+svn156-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: In The City
[numptyphysics-0.2+svn156-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 10 May 2012 22:24:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Thu, 10 May 2012 22:24:08 GMT) Full text and rfc822 format available.

Reply sent to gregor herrmann <gregoa@debian.org>:
You have taken responsibility. (Sat, 12 May 2012 22:39:10 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Sat, 12 May 2012 22:39:10 GMT) Full text and rfc822 format available.

Message #21 received at 667302-close@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 667302-close@bugs.debian.org
Subject: Bug#667302: fixed in numptyphysics 0.2+svn156-1.1
Date: Sat, 12 May 2012 22:35:49 +0000
Source: numptyphysics
Source-Version: 0.2+svn156-1.1

We believe that the bug you reported is fixed in the latest version of
numptyphysics, which is due to be installed in the Debian FTP archive:

numptyphysics_0.2+svn156-1.1.debian.tar.gz
  to main/n/numptyphysics/numptyphysics_0.2+svn156-1.1.debian.tar.gz
numptyphysics_0.2+svn156-1.1.dsc
  to main/n/numptyphysics/numptyphysics_0.2+svn156-1.1.dsc
numptyphysics_0.2+svn156-1.1_amd64.deb
  to main/n/numptyphysics/numptyphysics_0.2+svn156-1.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667302@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
gregor herrmann <gregoa@debian.org> (supplier of updated numptyphysics package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 11 May 2012 00:17:52 +0200
Source: numptyphysics
Binary: numptyphysics
Architecture: source amd64
Version: 0.2+svn156-1.1
Distribution: unstable
Urgency: low
Maintainer: Leo Costela <costela@debian.org>
Changed-By: gregor herrmann <gregoa@debian.org>
Description: 
 numptyphysics - crayon based physics puzzle game
Closes: 667302
Changes: 
 numptyphysics (0.2+svn156-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "ftbfs with GCC-4.7": add patch gcc-4.7.patch (missing include).
     (Closes: #667302)
Checksums-Sha1: 
 efc22e7c42d1a2ebadd2ed8352a52d8ac6558dd2 1976 numptyphysics_0.2+svn156-1.1.dsc
 884646e2be1940c45ef0b71b987858fd01d4aec1 7971 numptyphysics_0.2+svn156-1.1.debian.tar.gz
 58cdb0326940d35e56c0ae1a8ba4515b90808cbe 294166 numptyphysics_0.2+svn156-1.1_amd64.deb
Checksums-Sha256: 
 6ffbbd7d725e2d3163870cfe11d3411fb1342ba837442d2c4e6403432911f674 1976 numptyphysics_0.2+svn156-1.1.dsc
 689c1100f34f5bc504363f543e3eef530937432df6c1b65a3b00feb2231b7b1a 7971 numptyphysics_0.2+svn156-1.1.debian.tar.gz
 7f3ee7dc54814e6b5008c051692a9a2b3432efa5fc0fee7b0e9a0e673b1901d2 294166 numptyphysics_0.2+svn156-1.1_amd64.deb
Files: 
 9111589fe06483ce3d2f4d277b913b14 1976 games optional numptyphysics_0.2+svn156-1.1.dsc
 339218d55e6353e3970ed99dffada44b 7971 games optional numptyphysics_0.2+svn156-1.1.debian.tar.gz
 b71d0422c180efb95a7246acb954c057 294166 games optional numptyphysics_0.2+svn156-1.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPrD7JAAoJELs6aAGGSaoGQfsP+wQHZsAsxxCSVY8dbjnsR1aw
Id85Rfvr3fmSqrrO2IEaoaWiJs3Lc72zCU8A86SCWNxjwoSA47apOj6b0a07jzyk
lHDvJj9jVLUW83hQLwuGImwx/GPptqcgLAD7Ee9SR8myPfZtPsMxLRI+ycUOh7YZ
kkWUZAMzhfc7HgKxiNgmm+BM3feezdlAbNPupqZxXH+JxSlMDMkUb6u3FXJAaJTX
jXUYqXeFjl8tSckPcEhjlPbTT4M8NBe7UGm1J9fCUKwpczQHQE5Jcd27Atiy9T1J
lOaO80kjLNH2S9unOUaGi9KbbvtiMX77jzIYF0yW2ELiANN5dKHNKn25Ji3vzPvy
8y1Eb3zqUsg5j6aYL835FQv5/0vWeOA4O3718rASsQNj/3riIXHQTSh6cabcTlG9
NNcz4701SYY4oP4dFOhE6o353jIuYmBE+6OwI3qauV3YysCZiZl6Ehbdh4xWuZaf
9zEsdlOvXwoMGhaDb/6eDetUpG5lrRCnuQlbQqRihp3HZTpAkCv0R9iG0SzxWTNR
HiYDweD4h4I2a9idCkjMrZqGMcJAkaDzNAyRLsGOIY1F0ZWVatv5EaQlL/Kt6ctL
AbfGXdLXZ9acRRdIpiiPRVQG0HuoPQiH2s207aeY2OiQldG29UVzpQFhEkoHaFbI
6sW0Oau52jzYu/haT7ic
=TJbI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 20 Jun 2012 07:34:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 00:21:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.